#include <stdio.h>
#include <X11/Xlib.h>
void
stdoutReceivedEvent (XEvent * event)
{
  switch (event->type) {

  case KeyPress:
    printf ("ReceivedEvent: KeyPress\n");
    break;
  case KeyRelease:
    printf ("ReceivedEvent: KeyRelease\n");
    break;
  case ButtonPress:
    printf ("ReceivedEvent: ButtonPress:   <%d>(%d, %d)\n",
	    event->xbutton.button, event->xbutton.x, event->xbutton.y);
    break;
  case ButtonRelease:
    printf ("ReceivedEvent: ButtonRelease: <%d>(%d, %d)\n",
	    event->xbutton.button, event->xbutton.x, event->xbutton.y);
    break;
  case MotionNotify:
    printf ("ReceivedEvent: MotionNotify: --->(%d, %d)\n",
	    event->xbutton.x, event->xbutton.y);
    break;
  case EnterNotify:
    printf ("ReceivedEvent: EnterNotify\n");
    break;
  case LeaveNotify:
    printf ("ReceivedEvent: LeaveNotify\n");
    break;
  case Expose:
    printf ("ReceivedEvent: Expose\n");
    break;
  case NoExpose:
    printf ("ReceivedEvent: NoExpose\n");
    break;
  case DestroyNotify:
    printf ("ReceivedEvent: DestroyNotify\n");
    break;
  case UnmapNotify:
    printf ("ReceivedEvent: UnmapNotify\n");
    break;
  case MapNotify:
    printf ("ReceivedEvent: MapNotify\n");
    break;
  case ReparentNotify:
    printf ("ReceivedEvent: ReparentNotify\n");
    break;
  case ConfigureNotify:
    printf ("ReceivedEvent: ConfigureNotify\n");
    break;
  case ResizeRequest:
    printf ("ReceivedEvent: ResizeRequest\n");
    break;
  case ClientMessage:
    printf ("ReceivedEvent: ClientMessage\n");
    break;
  case GraphicsExpose:
    printf ("ReceivedEvent: GraphicsExpose\n");
    break;

  default:
    printf ("ReceivedEvent: event.type = %d\n", event->type);
  }
}
